Class Lambda2EndpointBuilderFactory.Lambda2HeaderNameBuilder

java.lang.Object
org.apache.camel.builder.endpoint.dsl.Lambda2EndpointBuilderFactory.Lambda2HeaderNameBuilder
Enclosing interface:
Lambda2EndpointBuilderFactory

public static class Lambda2EndpointBuilderFactory.Lambda2HeaderNameBuilder extends Object
The builder of headers' name for the AWS Lambda component.
  • Constructor Details

    • Lambda2HeaderNameBuilder

      public Lambda2HeaderNameBuilder()
  • Method Details

    • awsLambdaOperation

      public String awsLambdaOperation()
      The operation we want to perform. Override operation passed as query parameter. The option is a: String type. Required: true Group: all
      Returns:
      the name of the header AwsLambdaOperation.
    • awsLambdaS3Bucket

      public String awsLambdaS3Bucket()
      Amazon S3 bucket name where the .zip file containing your deployment package is stored. This bucket must reside in the same AWS region where you are creating the Lambda function. The option is a: String type. Group: createFunction
      Returns:
      the name of the header AwsLambdaS3Bucket.
    • awsLambdaS3Key

      public String awsLambdaS3Key()
      The Amazon S3 object (the deployment package) key name you want to upload. The option is a: String type. Group: createFunction
      Returns:
      the name of the header AwsLambdaS3Key.
    • awsLambdaS3ObjectVersion

      public String awsLambdaS3ObjectVersion()
      The Amazon S3 object (the deployment package) version you want to upload. The option is a: String type. Group: createFunction
      Returns:
      the name of the header AwsLambdaS3ObjectVersion.
    • awsLambdaZipFile

      public String awsLambdaZipFile()
      The local path of the zip file (the deployment package). Content of zip file can also be put in Message body. The option is a: String type. Group: createFunction
      Returns:
      the name of the header AwsLambdaZipFile.
    • awsLambdaDescription

      public String awsLambdaDescription()
      The user-provided description. The option is a: String type. Group: createFunction
      Returns:
      the name of the header AwsLambdaDescription.
    • awsLambdaRole

      public String awsLambdaRole()
      The Amazon Resource Name (ARN) of the IAM role that Lambda assumes when it executes your function to access any other Amazon Web Services (AWS) resources. The option is a: String type. Required: true Group: createFunction
      Returns:
      the name of the header AwsLambdaRole.
    • awsLambdaRuntime

      public String awsLambdaRuntime()
      The runtime environment for the Lambda function you are uploading. (nodejs, nodejs4.3, nodejs6.10, java8, python2.7, python3.6, dotnetcore1.0, odejs4.3-edge). The option is a: String type. Required: true Group: createFunction
      Returns:
      the name of the header AwsLambdaRuntime.
    • awsLambdaHandler

      public String awsLambdaHandler()
      The function within your code that Lambda calls to begin execution. For Node.js, it is the module-name.export value in your function. For Java, it can be package.class-name::handler or package.class-name. The option is a: String type. Required: true Group: createFunction
      Returns:
      the name of the header AwsLambdaHandler.
    • awsLambdaTargetArn

      public String awsLambdaTargetArn()
      The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic. The option is a: String type. Group: createFunction
      Returns:
      the name of the header AwsLambdaTargetArn.
    • awsLambdaMemorySize

      public String awsLambdaMemorySize()
      The memory size, in MB, you configured for the function. Must be a multiple of 64 MB. The option is a: Integer type. Group: createFunction
      Returns:
      the name of the header AwsLambdaMemorySize.
    • awsLambdaKMSKeyArn

      public String awsLambdaKMSKeyArn()
      The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables. If not provided, AWS Lambda will use a default service key. The option is a: String type. Group: createFunction
      Returns:
      the name of the header AwsLambdaKMSKeyArn.
    • awsLambdaEnvironmentVariables

      public String awsLambdaEnvironmentVariables()
      The key-value pairs that represent your environment's configuration settings. The option is a: Map<String, String> type. Group: createFunction
      Returns:
      the name of the header AwsLambdaEnvironmentVariables.
    • awsLambdaPublish

      public String awsLambdaPublish()
      This boolean parameter can be used to request AWS Lambda to create the Lambda function and publish a version as an atomic operation. The option is a: Boolean type. Group: createFunction updateFunction
      Returns:
      the name of the header AwsLambdaPublish.
    • awsLambdaTimeout

      public String awsLambdaTimeout()
      The function execution time at which Lambda should terminate the function. The default is 3 seconds. The option is a: Integer type. Group: createFunction
      Returns:
      the name of the header AwsLambdaTimeout.
    • awsLambdaTags

      public String awsLambdaTags()
      The list of tags (key-value pairs) assigned to the new function. The option is a: Map<String, String> type. Group: createFunction
      Returns:
      the name of the header AwsLambdaTags.
    • awsLambdaTracingConfig

      public String awsLambdaTracingConfig()
      Your function's tracing settings (Active or PassThrough). The option is a: String type. Group: createFunction
      Returns:
      the name of the header AwsLambdaTracingConfig.
    • awsLambdaSecurityGroupIds

      public String awsLambdaSecurityGroupIds()
      If your Lambda function accesses resources in a VPC, a list of one or more security groups IDs in your VPC. The option is a: List<String> type. Group: createFunction
      Returns:
      the name of the header AwsLambdaSecurityGroupIds.
    • awsLambdaSubnetIds

      public String awsLambdaSubnetIds()
      If your Lambda function accesses resources in a VPC, a list of one or more subnet IDs in your VPC. The option is a: List<String> type. Group: createFunction
      Returns:
      the name of the header AwsLambdaSubnetIds.
    • awsLambdaEventSourceArn

      public String awsLambdaEventSourceArn()
      The Amazon Resource Name (ARN) of the event source. The option is a: String type. Group: createEventSourceMapping
      Returns:
      the name of the header AwsLambdaEventSourceArn.
    • awsLambdaEventSourceBatchSize

      public String awsLambdaEventSourceBatchSize()
      The maximum number of records in each batch that Lambda pulls from your stream or queue and sends to your function. The option is a: Integer type. Group: createEventSourceMapping
      Returns:
      the name of the header AwsLambdaEventSourceBatchSize.
    • awsLambdaEventSourceUuid

      public String awsLambdaEventSourceUuid()
      The identifier of the event source mapping. The option is a: String type. Group: deleteEventSourceMapping
      Returns:
      the name of the header AwsLambdaEventSourceUuid.
    • awsLambdaResourceArn

      public String awsLambdaResourceArn()
      The function's Amazon Resource Name (ARN). The option is a: String type. Group: listTags tagResource untagResource
      Returns:
      the name of the header AwsLambdaResourceArn.
    • awsLambdaResourceTags

      public String awsLambdaResourceTags()
      A list of tags to apply to the function. The option is a: Map<String, String> type. Group: tagResource
      Returns:
      the name of the header AwsLambdaResourceTags.
    • awsLambdaResourceTagKeys

      public String awsLambdaResourceTagKeys()
      A list of tag keys to remove from the function. The option is a: List<String> type. Group: untagResource
      Returns:
      the name of the header AwsLambdaResourceTagKeys.
    • awsLambdaVersionDescription

      public String awsLambdaVersionDescription()
      A description for the version to override the description in the function configuration. The option is a: String type. Group: publishVersion
      Returns:
      the name of the header AwsLambdaVersionDescription.
    • awsLambdaVersionRevisionId

      public String awsLambdaVersionRevisionId()
      Only update the function if the revision ID matches the ID that's specified. The option is a: String type. Group: publishVersion
      Returns:
      the name of the header AwsLambdaVersionRevisionId.
    • awsLambdaFunctionVersion

      public String awsLambdaFunctionVersion()
      The function version to set in the alias. The option is a: String type. Group: createAlias listAliases
      Returns:
      the name of the header AwsLambdaFunctionVersion.
    • awsLambdaAliasFunctionName

      public String awsLambdaAliasFunctionName()
      The function name of the alias. The option is a: String type. Required: true Group: createAlias deleteAlias getAlias
      Returns:
      the name of the header AwsLambdaAliasFunctionName.
    • awsLambdaAliasFunctionDescription

      public String awsLambdaAliasFunctionDescription()
      The function description to set in the alias. The option is a: String type. Group: createAlias
      Returns:
      the name of the header AwsLambdaAliasFunctionDescription.
    • awsLambdaMarker

      public String awsLambdaMarker()
      The marker for the next set of results. The option is a: String type. Group: listFunctions listVersions listAliases listEventSourceMapping listTags
      Returns:
      the name of the header AwsLambdaMarker.
    • awsLambdaMaxItems

      public String awsLambdaMaxItems()
      The maximum number of results to return. The option is a: Integer type. Group: listFunctions listVersions listAliases listEventSourceMapping
      Returns:
      the name of the header AwsLambdaMaxItems.
    • awsLambdaIsTruncated

      public String awsLambdaIsTruncated()
      Whether the response has more results (is truncated). The option is a: Boolean type. Group: listFunctions listVersions listAliases listEventSourceMapping
      Returns:
      the name of the header AwsLambdaIsTruncated.
    • awsLambdaFunctionArn

      public String awsLambdaFunctionArn()
      The Amazon Resource Name (ARN) of the function. The option is a: String type. Group: createFunction getFunction publishVersion createAlias getAlias
      Returns:
      the name of the header AwsLambdaFunctionArn.
    • awsLambdaStatusCode

      public String awsLambdaStatusCode()
      The HTTP status code of the function invocation. The option is a: Integer type. Group: invokeFunction
      Returns:
      the name of the header AwsLambdaStatusCode.
    • awsLambdaFunctionError

      public String awsLambdaFunctionError()
      If present, indicates that an error occurred during function execution. The option is a: String type. Group: invokeFunction
      Returns:
      the name of the header AwsLambdaFunctionError.
    • awsLambdaLogResult

      public String awsLambdaLogResult()
      The last 4 KB of the execution log. The option is a: String type. Group: invokeFunction
      Returns:
      the name of the header AwsLambdaLogResult.
    • awsLambdaFunctionUrlAuthType

      public String awsLambdaFunctionUrlAuthType()
      The type of authentication that the function URL uses. Set to AWS_IAM to restrict access to authenticated users only. Set to NONE to bypass IAM authentication and allow any user to invoke the function. The option is a: String type. Required: true Group: createFunctionUrlConfig updateFunctionUrlConfig
      Returns:
      the name of the header AwsLambdaFunctionUrlAuthType.
    • awsLambdaFunctionUrlQualifier

      public String awsLambdaFunctionUrlQualifier()
      The alias name or $LATEST for the function URL. The option is a: String type. Group: createFunctionUrlConfig updateFunctionUrlConfig getFunctionUrlConfig deleteFunctionUrlConfig
      Returns:
      the name of the header AwsLambdaFunctionUrlQualifier.
    • awsLambdaFunctionUrlCorsAllowCredentials

      public String awsLambdaFunctionUrlCorsAllowCredentials()
      The cross-origin resource sharing (CORS) settings for the function URL. The option is a: String type. Group: createFunctionUrlConfig updateFunctionUrlConfig
      Returns:
      the name of the header AwsLambdaFunctionUrlCorsAllowCredentials.
    • awsLambdaFunctionUrlCorsAllowOrigins

      public String awsLambdaFunctionUrlCorsAllowOrigins()
      The allowed origins for CORS. The option is a: List<String> type. Group: createFunctionUrlConfig updateFunctionUrlConfig
      Returns:
      the name of the header AwsLambdaFunctionUrlCorsAllowOrigins.
    • awsLambdaFunctionUrlCorsAllowMethods

      public String awsLambdaFunctionUrlCorsAllowMethods()
      The allowed HTTP methods for CORS. The option is a: List<String> type. Group: createFunctionUrlConfig updateFunctionUrlConfig
      Returns:
      the name of the header AwsLambdaFunctionUrlCorsAllowMethods.
    • awsLambdaFunctionUrlCorsAllowHeaders

      public String awsLambdaFunctionUrlCorsAllowHeaders()
      The allowed HTTP headers for CORS. The option is a: List<String> type. Group: createFunctionUrlConfig updateFunctionUrlConfig
      Returns:
      the name of the header AwsLambdaFunctionUrlCorsAllowHeaders.
    • awsLambdaFunctionUrlCorsExposeHeaders

      public String awsLambdaFunctionUrlCorsExposeHeaders()
      The exposed headers for CORS. The option is a: List<String> type. Group: createFunctionUrlConfig updateFunctionUrlConfig
      Returns:
      the name of the header AwsLambdaFunctionUrlCorsExposeHeaders.
    • awsLambdaFunctionUrlCorsMaxAge

      public String awsLambdaFunctionUrlCorsMaxAge()
      The max age in seconds for CORS. The option is a: Integer type. Group: createFunctionUrlConfig updateFunctionUrlConfig
      Returns:
      the name of the header AwsLambdaFunctionUrlCorsMaxAge.
    • awsLambdaFunctionUrl

      public String awsLambdaFunctionUrl()
      The function URL endpoint. The option is a: String type. Group: createFunctionUrlConfig getFunctionUrlConfig
      Returns:
      the name of the header AwsLambdaFunctionUrl.
    • awsLambdaFunctionMemorySize

      public String awsLambdaFunctionMemorySize()
      The amount of memory available to the function at runtime. Increasing the function memory also increases its CPU allocation. The default value is 128 MB. The value can be any multiple of 1 MB. The option is a: Integer type. Group: updateFunctionConfiguration
      Returns:
      the name of the header AwsLambdaFunctionMemorySize.
    • awsLambdaFunctionTimeout

      public String awsLambdaFunctionTimeout()
      The amount of time (in seconds) that Lambda allows a function to run before stopping it. The default is 3 seconds. The maximum allowed value is 900 seconds. The option is a: Integer type. Group: updateFunctionConfiguration
      Returns:
      the name of the header AwsLambdaFunctionTimeout.
    • awsLambdaFunctionRuntime

      public String awsLambdaFunctionRuntime()
      The new runtime environment for the function. The option is a: String type. Group: updateFunctionConfiguration
      Returns:
      the name of the header AwsLambdaFunctionRuntime.
    • awsLambdaFunctionHandler

      public String awsLambdaFunctionHandler()
      The new function handler. The option is a: String type. Group: updateFunctionConfiguration
      Returns:
      the name of the header AwsLambdaFunctionHandler.
    • awsLambdaReservedConcurrentExecutions

      public String awsLambdaReservedConcurrentExecutions()
      The number of simultaneous executions to reserve for the function. The option is a: Integer type. Required: true Group: putFunctionConcurrency
      Returns:
      the name of the header AwsLambdaReservedConcurrentExecutions.
    • awsLambdaStatementId

      public String awsLambdaStatementId()
      A unique statement identifier for the permission. The option is a: String type. Required: true Group: addPermission
      Returns:
      the name of the header AwsLambdaStatementId.
    • awsLambdaAction

      public String awsLambdaAction()
      The action that the principal can use on the function. For example, lambda:InvokeFunction or lambda:GetFunction. The option is a: String type. Required: true Group: addPermission
      Returns:
      the name of the header AwsLambdaAction.
    • awsLambdaPrincipal

      public String awsLambdaPrincipal()
      The Amazon Web Services service, Amazon Web Services account, IAM user, or IAM role that invokes the function. For example, s3.amazonaws.com or 123456789012. The option is a: String type. Required: true Group: addPermission
      Returns:
      the name of the header AwsLambdaPrincipal.
    • awsLambdaSourceAccount

      public String awsLambdaSourceAccount()
      The Amazon Web Services account ID of the principal. The option is a: String type. Group: addPermission
      Returns:
      the name of the header AwsLambdaSourceAccount.
    • awsLambdaSourceArn

      public String awsLambdaSourceArn()
      The ARN of the Amazon Web Services resource that invokes the function. For example, an Amazon S3 bucket or Amazon SNS topic. The option is a: String type. Group: addPermission
      Returns:
      the name of the header AwsLambdaSourceArn.